TADS Bug Database

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000120TADS 3Workbenchpublic2012-01-09 15:352012-01-19 20:19
Reporterfundin 
Assigned ToMichael Roberts 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformIntelOSWindowsOS VersionVista
Summary0000120: Change of base folder for file access when running from Workbench
DescriptionThis may be deliberate, but I can't find anything about it in the change log. When accessing files (not resources) from within a game, the base folder for relative paths used to be the project folder, I.E. the one where the .t3m file resides. In the latest release, it is instead the folder of the .t3 file.
Additional InformationAlthough I admit the new way makes some sense, I liked it better the old way, since it allowed the work-in-progress debug build and the release build of a program to easily work with the same data.
TagsNo tags attached.
Fixed In Version3.1.1 (build Win117)
Attached Files

- Relationships

-  Notes
(0000215)
Michael Roberts (administrator)
2012-01-13 02:24

This is a side effect of some changes in 3.1.0 that were made for better portability. In past versions, the File object used the native OS working directory to resolve relative filenames; in 3.1.0 this changed to explicitly using the .t3 folder. The motivation was that some systems change the native working directory as a side effect of certain operations, so we wanted to make things more consistent across platforms by having a well-defined notion of the working directory internal to TADS rather than relying on the OS to maintain it.

But I agree that the the .t3 folder isn't the right working directory when running in Workbench - it's a good default for most cases, but for Workbench it's definitely better to use the project folder.

So: I've introduced a new interpreter option, -D <path>, that lets you explicitly set the working directory when starting the interpreter. Workbench uses this to set the project folder as the working directory. This should restore the pre-3.1.0 behavior.

- Issue History
Date Modified Username Field Change
2012-01-09 15:35 fundin New Issue
2012-01-13 02:24 Michael Roberts Fixed In Version => 3.1.1 (build Win117)
2012-01-13 02:24 Michael Roberts Note Added: 0000215
2012-01-13 02:24 Michael Roberts Assigned To => Michael Roberts
2012-01-13 02:24 Michael Roberts Status new => assigned
2012-01-13 02:24 Michael Roberts Resolution open => fixed
2012-01-19 20:19 Michael Roberts Status assigned => resolved


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker